Results 1 to 8 of 8
  1. #1
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    5,973
    Plugin Contributions
    80

    Default PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    Just wanted to have a list so that people who are moving Zen Cart 1.5.5 sites to PHP 7.1 can do these changes by hand before Zen Cart 1.5.6 is released.

    Zen Cart 1.5.6 can be found here: https://github.com/zencart/zencart/tree/v156

    You can pull a copy of this branch and compare to your local files to find the changes you need.

    includes/classes/currencies.php
    includes/classes/order.php
    includes/functions/functions_taxes.php
    includes/classes/categories_ul_generator.php


    Linkpoint is no longer operational, but ... if you are somehow still using linkpoint, remember to change $$var references to ${$var} in
    includes/modules/payment/linkpoint_api.php
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  2. #2
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    5,973
    Plugin Contributions
    80

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    You will also want to check your template for lines that look like this:

    $list_box_contents = '';

    they should probably be

    $list_box_contents = array();

    (Stricter PHP7 checks will report the former as a warning.)
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  3. #3
    Join Date
    May 2006
    Location
    Charlottesville VA
    Posts
    1,961
    Plugin Contributions
    22

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    I do appreciate your post but found orders.php to be more changed than it seems php7 would warrant and I have no earthly idea what is pertinent. A hint would be appreciated...

  4. #4
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    5,973
    Plugin Contributions
    80

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    Hmm...you may not need the change for includes/classes/order.php - still testing.
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  5. #5
    Join Date
    May 2006
    Location
    Charlottesville VA
    Posts
    1,961
    Plugin Contributions
    22

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    yeah, I saw that.

  6. #6
    Join Date
    Jan 2004
    Posts
    64,984
    Blog Entries
    7
    Plugin Contributions
    76

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    From a post I made back in January: PHP 7.2 vs v155f
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  7. #7
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    5,973
    Plugin Contributions
    80

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    Good reminder. Use PHP 7.1, not PHP 7.2!
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  8. #8
    Join Date
    Jan 2004
    Posts
    64,984
    Blog Entries
    7
    Plugin Contributions
    76

    Default Re: PHP7 Fixes for Zen Cart which are built in to 1.5.6 already

    Quote Originally Posted by swguy View Post
    Good reminder. Use PHP 7.1, not PHP 7.2!
    For v1.5.5f, yes.

    And, for clarity: Anyone using PHP 7.0 should just switch to PHP 7.1. There's no need to use 7.0 anymore, and (almost) everything that works on PHP 7.0 will work equally on PHP 7.1



    ZC v1.5.6 will support PHP 7.2 out-of-the-box when it's ready for release.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

 

 

Similar Threads

  1. v155 Does zen-cart v1.5.5a support php7?
    By yisou in forum General Questions
    Replies: 1
    Last Post: 16 Jul 2016, 05:46 PM
  2. Replies: 1
    Last Post: 29 Apr 2013, 05:40 PM
  3. Replies: 3
    Last Post: 22 Jan 2011, 03:02 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR